#include <qthread.h>
#include <qvariant.h>

#ifndef MTHREAD_H
#define MTHREAD_H

#define DIFFERENT_LEVEL	700

class MThread:public QThread {
	Q_OBJECT
	public:
		double change_level;
		int is_run,
		    data_position,
		    data_count,
		    data_transmit,
		    gain_mode,
		    gain,
		    is_out,
		    different_level,
		    count_cycles;
		short capture_mode,
		      start_capture_mode;
		double exposure_time,
		       exposure_cycle;

		const char *out_dir,
		      *drv_name;

		int start_capture (int fd,	/* opened driver descripto */
			double exposure_time,	/* in mcs */
			double exposure_cycle,	/* in mcs */
			int is_out,		/* print information */
			int gain,
			int datatransmit,
			int dataposition,
			int datacount,
			int count_cycles,
			int gain_mode,
			short capture_mode,
			short start_capture_mode,
			const char *out_dir);

		virtual void run ();

  		MThread () : QThread (), is_run(0), data_position(0x1), data_count(0x8), data_transmit(0x8),
				gain_mode(0x0),	gain(0x0), count_cycles(0x0), is_out(0x0), capture_mode(0x1),
				start_capture_mode(0x0100), exposure_time(6.0), exposure_cycle(1050), change_level(0.01F),
				different_level(DIFFERENT_LEVEL), out_dir(NULL), drv_name("/dev/imon512e20") {
			qDebug("pool thread is created...");
		}
	signals:
		void sendWL(char *);
};

#endif    
